# Get issued bank slip Retrieve a previously issued bank slip from the provider. This endpoint only returns one bank slip at a time. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Banking - Integrated payments", "version": "1.0", "description": "API responsible for handling and processing integrated payments", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/integrated-payments", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Bank slip issuance", "description": "Operations related to issue and cancel issued bank slips" } ], "components": { "parameters": { "clientRequestIdPath": { "name": "clientRequestId", "in": "path", "description": "Client request ID returned using the bank slip issue endpoint.", "required": true, "schema": { "type": "string" }, "example": "6d6bdd2c-9980-4cf1-87ff-c99dc9ce6ef4" }, "idempotencyKeyHeader": { "name": "x-idempotency-key", "in": "header", "description": "Unique identifier (UUID) to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.\n", "required": true, "schema": { "type": "string" }, "example": "6a17f82d-7365-4451-a83d-09403f05c1ec" } }, "schemas": { "bankslips_issue.IssueDebtor": { "type": "object", "properties": { "city": { "description": "City where the debtor resides.", "type": "string", "example": "New York" }, "complement": { "description": "Additional address.", "type": "string", "example": "Complement" }, "document_number": { "description": "A government document number, such as a CPF (Brazil) - Cadastro de Pessoas Fisicas (Indiviual Taxpayer Registry) number, CNPJ (Brazil) - Cadastro Nacional de Pessoa Juridica (National Registry of Legal Entities) number - unique ID for legal entities, such as companies and organizations.\n", "type": "string", "example": "00000000000" }, "name": { "description": "Debtor's full name.", "example": "John Doe", "type": "string" }, "neighborhood": { "description": "Neighborhood name where the debtor resides.", "type": "string", "example": "Neighborhood" }, "number": { "description": "Street number.", "type": "string", "example": "123" }, "state": { "description": "The name of the state.", "type": "string", "example": "UF" }, "street": { "description": "The name of the street where the debtor resides.", "type": "string", "example": "Street" }, "zip_code": { "description": "Zip code.", "type": "string", "example": "00000000" } } }, "bankslips_issue.IssueDiscount": { "type": "object", "properties": { "amount": { "description": "Discounted amount to be applied to the bank slip amount if paid before or on the deadline.", "type": "number", "example": 10 }, "deadline": { "description": "Discount deadline.", "type": "string", "example": "2024-09-25T00:00:00.000Z" }, "type": { "description": "Fixed bank slip type", "type": "string", "example": "fixed" } } }, "bankslips_issue.IssueInstructions": { "required": [ "fine", "interest" ], "type": "object", "properties": { "fine": { "description": "Fine to be applied to the bank slip amount if overdue.", "type": "number", "example": 5 }, "interest": { "description": "Interest to be applied to the bank slips amount when overdue.", "type": "number", "example": 10 }, "discount": { "$ref": "#/components/schemas/bankslips_issue.IssueDiscount" } } }, "bankslips_issue.IssueReceiver": { "type": "object", "properties": { "document_number": { "description": "Recipient 's document number.", "type": "string" }, "name": { "description": "Recipient name.", "type": "string" } } }, "bankslips_issue.GetIssueResponse": { "type": "object", "properties": { "account_id": { "description": "Pismo Platform Account ID.", "type": "integer", "example": 123 }, "amount": { "description": "Bank slip amount.", "type": "number", "example": 100 }, "bar_code": { "description": "Bar code encoding bank slip information such as the bank code, currency code, check digit, due date, amount, and beneficiary information.\n", "type": "string", "example": "6049000117010051039060004359977819483000015380998174912864" }, "client_request_id": { "description": "Client request ID.", "type": "string", "example": "6d6bdd2c-9980-4cf1-87ff-123" }, "correlation_id": { "description": "Correlation ID.", "type": "string", "example": "c537939d-5442-48b6-8b84-66465ba68880" }, "created_at": { "description": "Date on which the resource was created.", "type": "string", "example": "2024-07-24T00:00:00Z" }, "debtor": { "$ref": "#/components/schemas/bankslips_issue.IssueDebtor" }, "description": { "description": "Description detailing the bank slip.", "type": "string", "example": "Long description." }, "digitable_line": { "description": "Digitable line.
\nFor example on a Brazilian bank slip, the digitable line contains numerical payment information encoding details like the payment amount, due date, beneficiary information, and other transaction-specific data.\n", "type": "string", "example": "60490001170100510390600043599778194830000153809" }, "due_date": { "description": "Bank slip due date in ISO 8601 format.", "type": "string", "example": "2024-07-25T00:00:00Z" }, "external_id": { "description": "External ID.", "type": "string", "example": "6d6bdd2c-9980-4cf1-87ff-456" }, "id": { "description": "Bank slip ID.", "type": "string", "example": "050d8e9b-586e-4419-af13-d7c6be012fb2" }, "instructions": { "$ref": "#/components/schemas/bankslips_issue.IssueInstructions" }, "org_id": { "description": "Organization ID.", "type": "string", "example": "TN-000000000-00000-00000-0000-00000000000000" }, "over_due_date": { "description": "Last day to accept bank slip payments. After this date, the bank slip is not paid.", "type": "string", "example": "2024-07-25T00:00:00Z" }, "paid_amount": { "description": "Bank slip paid amount.", "type": "number", "example": 100 }, "pix_emv": { "description": "The emv string that is used to pay (Pix Copia e Cola). Can be used to generate the QRCode image representation.", "type": "string", "example": "00020101021226980014br.gov.bcb.pix2576qrcode-h.pix.provider.com.br/pixqrcode/v2/cobv/cf8aebf27395133f638ca19870a5ef5204000053039865802BR5916" }, "pix_key": { "description": "PIX key related to the bank slip.", "type": "string", "example": "pixkey@pix.com.br" }, "provider": { "description": "The name of the provvider that issues the bank slip.", "type": "string", "example": "BTG" }, "issuer": { "description": "The name of the provider that issues the bank slip.", "type": "string", "example": "PISMO" }, "transaction_id": { "description": "Transaction ID related to the bank slip issue. This is the ID that links the bank slip to the specific transaction performed in the payments API. It can be used for tracking, reconciliation, and reference purposes when managing bank slips and their associated transactions.", "type": "string", "example": "550e8400-e29b-41d4-a716-446655440000" }, "receiver": { "$ref": "#/components/schemas/bankslips_issue.IssueReceiver" }, "status": { "description": "status of issued bankslip", "type": "string", "example": "REGISTERED" }, "updated_at": { "description": "Date on which the bank slip is updated.", "type": "string", "example": "2024-07-25T00:00:00Z" } } }, "domain.Error": { "type": "object", "properties": { "code": { "type": "string", "description": "Error type code.", "example": "EIP0001" }, "details": { "type": "string", "description": "Error details.", "example": "Error details" }, "message": { "type": "string", "description": "Error message describing the error.", "example": "error" } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/v1/bankslips-issue/client-requests/{clientRequestId}": { "get": { "tags": [ "Bank slip issuance" ], "summary": "Get issued bank slip", "description": "Retrieve a previously issued bank slip from the provider. This endpoint only returns one bank slip at a time.", "operationId": "get-integrated-payments-api-v1-bankslips-issue-retrieve", "parameters": [ { "$ref": "#/components/parameters/clientRequestIdPath" }, { "$ref": "#/components/parameters/idempotencyKeyHeader" } ], "responses": { "200": { "description": "Response Body", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/bankslips_issue.GetIssueResponse" } } } }, "400": { "description": "Bad Request", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/domain.Error" }, "examples": { "EIP0072": { "summary": "Missing required path parameter {client_request_id}", "value": { "code": "EIP0072", "message": "Missing required path parameter {client_request_id}" } }, "EIP0010": { "summary": "Unmarshal error", "value": { "code": "EIP0010", "message": "Unmarshal error" } }, "EIP0023": { "summary": "BankingGatewayAPI - API returned 4xx error", "value": { "code": "EIP0023", "message": "BankingGatewayAPI - API returned 4xx error" } } } } } }, "403": { "description": "Forbidden", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/domain.Error" }, "examples": { "EIP0005": { "summary": "Missing required header {x-tenant}", "value": { "code": "EIP0005", "message": "Missing required header {x-tenant}" } }, "EIP0006": { "summary": "Invalid account id header {x-account-id}", "value": { "code": "EIP0006", "message": "Invalid account id header {x-account-id}" } } } } } }, "404": { "description": "Not Found", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/domain.Error" }, "examples": { "EIP0073": { "summary": "Bank slip issue not found", "value": { "code": "EIP0073", "message": "Bank slip issue not found" } }, "EIP0062": { "summary": "BankingGatewayAPI - Register not found in provider", "value": { "code": "EIP0062", "message": "BankingGatewayAPI - Register not found in provider" } } } } } }, "409": { "description": "Conflict", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/domain.Error" }, "examples": { "EIP0065": { "summary": "BankingGatewayAPI - API returned 409 provider error", "value": { "code": "EIP0029", "message": "BankingGatewayAPI - API returned 409 provider error" } } } } } }, "500": { "description": "Internal Server Error", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/domain.Error" }, "examples": { "EIP0004": { "summary": "HTTP request error", "value": { "code": "EIP0004", "message": "HTTP request error" } }, "EIP0007": { "summary": "Internal error", "value": { "code": "EIP0007", "message": "Internal error" } }, "EIP0022": { "summary": "BankingGatewayAPI - API timeout error", "value": { "code": "EIP0022", "message": "BankingGatewayAPI - API timeout error" } }, "EIP0074": { "summary": "Bankslip issue database error", "value": { "code": "EIP0074", "message": "Bankslip issue database error" } }, "EIP0070": { "summary": "BankingGateway API - Failed to unmarshal error response body", "value": { "code": "EIP0070", "message": "BankingGateway API - Failed to unmarshal error response body" } } } } } }, "502": { "description": "Bad Gateway", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/domain.Error" }, "examples": { "EIP0024": { "summary": "BankingGatewayAPI - API returned 5xx error", "value": { "code": "EIP0024", "message": "BankingGatewayAPI - API returned 5xx error" } } } } } } } } } } } ```